package com.miaxis.order.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.miaxis.order.domain.OrderInfo;
import com.miaxis.order.dto.OrderInfoDto;
import com.miaxis.order.dto.OrderInfoMonthDto;
import com.miaxis.order.mapper.OrderInfoMapper;
import com.miaxis.order.service.IOrderInfoService;
import com.miaxis.order.vo.OrderInfoMonthVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.annotation.CacheConfig;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * adService业务层处理
 *
 * @author miaxis
 * @date 2021-08-19
 */
@Service
@CacheConfig(cacheNames = "OrderInfo")
public class OrderInfoServiceImpl extends ServiceImpl<OrderInfoMapper, OrderInfo> implements IOrderInfoService {




    @Autowired
    private OrderInfoMapper orderInfoMapper;

    /**
     * 查询ad列表
     *
     * @param orderInfoDto
     * @return List<OrderInfo>
     */
    @Override
    public List<OrderInfo> selectOrderInfoList(OrderInfoDto orderInfoDto){
        return orderInfoMapper.selectOrderInfoList(orderInfoDto);
    }

    @Override
    public Integer selectTotal(OrderInfoDto orderInfoDto) {
        return orderInfoMapper.selectTotal(orderInfoDto);
    }

    @Override
    public Integer selectYesterdayTotal(OrderInfoDto orderInfoDto) {
        return orderInfoMapper.selectYesterdayTotal(orderInfoDto);
    }

    @Override
    public Integer selectTodayTotal(OrderInfoDto orderInfoDto) {
        return orderInfoMapper.selectTodayTotal(orderInfoDto);
    }

    @Override
    public List<OrderInfoMonthVo> selectMonthIncome(OrderInfoMonthDto orderInfoMonthDto) {
        return orderInfoMapper.selectMonthIncome(orderInfoMonthDto);
    }


}





